Aria: ArFunctor3< P1, P2, P3 > Class Template Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArFunctor3< P1, P2, P3 > Class Template Reference

`#include <ArFunctor.h>`

Inheritance diagram for ArFunctor3< P1, P2, P3 >:

List of all members.

## Detailed Description

### template<class P1, class P2, class P3>
class ArFunctor3< P1, P2, P3 >

Base class for functors with 3 parameters.

This is the base class for functors with 3 parameters. Code that has a reference to a functor that takes 3 parameters should use this class name. This allows the code to know how to invoke the functor without knowing which class the member function is in.

For an overall description of functors, see ArFunctor.

## Public Member Functions
virtual void | invoke (P1 p1, P2 p2, P3 p3)=0
| Invokes the functor.
virtual void | invoke (P1 p1, P2 p2)=0
| Invokes the functor.
virtual void | invoke (P1 p1)=0
| Invokes the functor.
virtual void | invoke (void)=0
| Invokes the functor.
virtual | ~ArFunctor3 ()
| Destructor.

## Member Function Documentation

template<class P1, class P2, class P3>

virtual void ArFunctor3< P1, P2, P3 >::invoke | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3 |
| ) |  |  | `[pure virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter
  | p2 | second parameter
  | p3 | third parameter

Implemented in ArFunctor4< P1, P2, P3, P4 >, ArGlobalFunctor3< P1, P2, P3 >, ArGlobalFunctor4< P1, P2, P3, P4 >, ArFunctor3C< T, P1, P2, P3 >, ArFunctor4C< T, P1, P2, P3, P4 >, ArConstFunctor3C< T, P1, P2, P3 >, ArConstFunctor4C< T, P1, P2, P3, P4 >, ArFunctor3C< ArNetServer, char **, int, ArSocket * >, and ArFunctor3C< const ArDataLogger, char *, unsigned short, ArFunctor2< char *, unsigned short > * >.

template<class P1, class P2, class P3>

virtual void ArFunctor3< P1, P2, P3 >::invoke | ( | P1 | p1,
|  | P2 | p2 |
| ) |  |  | `[pure virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter
  | p2 | second parameter

Implements ArFunctor2< P1, P2 >.

Implemented in ArFunctor4< P1, P2, P3, P4 >, ArGlobalFunctor3< P1, P2, P3 >, ArGlobalFunctor4< P1, P2, P3, P4 >, ArFunctor3C< T, P1, P2, P3 >, ArFunctor4C< T, P1, P2, P3, P4 >, ArConstFunctor3C< T, P1, P2, P3 >, ArConstFunctor4C< T, P1, P2, P3, P4 >, ArFunctor3C< ArNetServer, char **, int, ArSocket * >, and ArFunctor3C< const ArDataLogger, char *, unsigned short, ArFunctor2< char *, unsigned short > * >.

template<class P1, class P2, class P3>

virtual void ArFunctor3< P1, P2, P3 >::invoke | ( | P1 | p1 | ) | `[pure virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter

Implements ArFunctor2< P1, P2 >.

Implemented in ArFunctor4< P1, P2, P3, P4 >, ArGlobalFunctor3< P1, P2, P3 >, ArGlobalFunctor4< P1, P2, P3, P4 >, ArFunctor3C< T, P1, P2, P3 >, ArFunctor4C< T, P1, P2, P3, P4 >, ArConstFunctor3C< T, P1, P2, P3 >, ArConstFunctor4C< T, P1, P2, P3, P4 >, ArFunctor3C< ArNetServer, char **, int, ArSocket * >, and ArFunctor3C< const ArDataLogger, char *, unsigned short, ArFunctor2< char *, unsigned short > * >.

The documentation for this class was generated from the following file:

- ArFunctor.h